cppcms::base_content::app_guard Class Reference

Special guard class that allows setting and resetting content's rendeding according to the specific scope. More...

`#include <cppcms/base_content.h>`

## Public Member Functions

| app_guard (base_content &c, application &a)
| app_guard (base_content &c, base_content &parent)
| ~app_guard ()

## Detailed Description

Special guard class that allows setting and resetting content's rendeding according to the specific scope.

## Constructor & Destructor Documentation

cppcms::base_content::app_guard::app_guard | ( | base_content & | c,
|  | application & | a
| ) |  |

inline

Initialize set the applicaton to a content c if have not one ready

References cppcms::base_content::app(), and cppcms::base_content::has_app().

cppcms::base_content::app_guard::app_guard | ( | base_content & | c,
|  | base_content & | parent
| ) |  |

inline

Assign the application to c from the parent's application.

It is assigned if it is not already defined

References cppcms::base_content::app(), and cppcms::base_content::has_app().

cppcms::base_content::app_guard::~app_guard | ( |  | ) |

inline

Reset the application if the content if it was assigned in constructor

The documentation for this class was generated from the following file:

- cppcms/base_content.h